Old US 3DS with firmware 2.2.0-0U in Australia

Discussion in '3DS - Flashcards & Custom Firmwares' started by Squirrel, Jun 12, 2017.

  1. Squirrel
    OP

    Squirrel Newbie

    Newcomer
    3
    3
    Jun 12, 2017
    Hi,

    I'm in Australia and have an old US 3DS with its original firmware (2.2.0-0U). This firmware has never been updated and does not have a browser (button is there, but system says the browser will be available once I update the system). I also have the following (US) 3DS game cartridges:
    - Zelda Ocarina of Time
    - Rayman 3D
    - Super Mario 3D Land
    - I can't recall whether this cartridge forced me to upgrade (part of) the firmware many years ago. When I go into settings the version however shows 2.2.0-0U.
    - Ridge Racer 3D
    - R4 3DS (www.r4i-sdhc.com)

    I would like to play Australian games but the 3DS region lock prevents me from doing that. I therefore looked at homebrew, but it seems I'm kind of stuck:
    - Pretty much all homebrew hacks seem to work from firmware 4 or higher.
    - I've looked at Soundhax, but this didn't work.
    - I've looked at boot9strap (MSET), but this only seems to work on 4.x and 6.x
    - Having no browser leaves me without another possible entry point.
    - Lots of references to Cubic Ninja as entry point, but I don't have this game. And getting this game would be difficult/expensive since I'm in Australia but would need a US version of this game (something that applies to any other cartridges as well of course until the 3DS is region free).

    I considered upgrading to the latest official firmware (the device supports system updates over wifi) and waiting until a hack is available for the old 3DS. If I understood correctly however this upgrade would block my R4 card, so that's not a very enticing option. I can also imagine that more work is done on the new 3DS than the old 3DS, so maybe I would have to wait a long time. Waiting with upgrading until this old 3DS hack would be available leaves me however with the risk that, by that time, Nintendo has released newer firmware again, already blocking this new hack.

    So what to do? Is there a way to upgrade this 3DS to a vulnerable firmware version that doesn't require other US game cartridges? Or should I just upgrade to the latest firmware and sit it out? Other options? Suggestions are most welcome.

    Cheers,
    Squirrel
     


  2. driverdis

    driverdis I am Justice

    Member
    2,385
    901
    Sep 21, 2011
    United States
    1.048596β
  3. c4388354

    c4388354 GBAtemp Regular

    Member
    101
    81
    Jan 23, 2015
    United States
    If you had or can borrow a Sky3DS (Blue Button or Orange Button) you could write a USA Rom that contained the 4.5.0 update and update your 3DS with that
    then you can use the MSET exploit with your flashcard to install Boot9Strap.
     
    Squirrel likes this.
  4. Quantumcat

    Quantumcat Dead and alive

    Member
    10,431
    5,501
    Nov 23, 2014
    Australia
    Canberra, Australia
    Borrowing a game cart isn't possible since game shops don't sell US region games.

    @Squirrel i have a copy of Paper Mario Sticker Star (US region) I can sell you. $10 plus postage. It will update you to 4.3.
     
    Beorn_Orwell, Stephano and zoogie like this.
  5. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,896
    Nov 30, 2014
    United States
    Do you have an old ds phat/lite?

    You could flash an exploited save to zelda with that (with a little cutting, heh). You would still need to find a game 9.0-11.2 to update your system to a compatible firmware.
     
    Quantumcat likes this.
  6. Bu2d85

    Bu2d85 GBAtemp Advanced Fan

    Member
    GBAtemp Patron
    Bu2d85 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    903
    237
    Nov 6, 2014
    United States
    Super Mario 3D Land has 4.3 according to this site http://www.3dsdb.com/.

    Update with that and then use the mset exploit.
     
  7. Quantumcat

    Quantumcat Dead and alive

    Member
    10,431
    5,501
    Nov 23, 2014
    Australia
    Canberra, Australia
    No it doesn't
     
    zoogie likes this.
  8. Bu2d85

    Bu2d85 GBAtemp Advanced Fan

    Member
    GBAtemp Patron
    Bu2d85 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    903
    237
    Nov 6, 2014
    United States
    Super.Mario.3D.Land.v01.USA.3DS-BigBlueBox 335029760 4.3.0U
     
  9. Stephano

    Stephano I love you Charlie

    Member
    1,202
    1,028
    Feb 18, 2016
    United States
    On the floor of the Engineering building
    I would honestly take Quantum cat up on her offer. :grog:
    It's a small price to pay for boat-loads of stuff.
     
    Squirrel and Quantumcat like this.
  10. Lacius

    Lacius GBAtemp Guru

    Member
    5,864
    2,247
    May 11, 2008
    United States
    Super Mario 3D Land (Rev01) has 4.3. Ocarina of Time (Rev01) also has 4.3.

    @Squirrel, do any of these cartridges try to install an update? My guess is you've already played them without being prompted for an update, and none of them are Rev01.
     
    Quantumcat likes this.
  11. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,896
    Nov 30, 2014
    United States
    Obviously, OP updated his 3ds with the 2.2 version of that game, so that's the version he has. That update is cart only.
     
    Zidapi and Stephano like this.
  12. Bu2d85

    Bu2d85 GBAtemp Advanced Fan

    Member
    GBAtemp Patron
    Bu2d85 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    903
    237
    Nov 6, 2014
    United States
    Yeah, I realized that right after I posted that reply. I went to edit it but got a "502" error.
     
    zoogie likes this.
  13. Bu2d85

    Bu2d85 GBAtemp Advanced Fan

    Member
    GBAtemp Patron
    Bu2d85 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    903
    237
    Nov 6, 2014
    United States
    Just throwing stuff out there now, but what about OOT hax?

    https://gbatemp.net/threads/tutorial-how-to-install-oot3dhax.396339/

    I'm not sure if it will work on 2.2. Maybe someone else knows.

    EDIT: After reading this a little more it seems like if you have a friend with a modded 3DS or an old school DS laying around you're all set. If you can't install B9S directly you can update to 4.2 and use the MSET exploit. There should still be some 4.2 downgrade packs (that you will use to upgrade) on the internets somewhere.

    Or just buy that game from Quantumcat.

    EDIT 2: Didn't see this.
     
    Last edited by Bu2d85, Jun 12, 2017
  14. Squirrel
    OP

    Squirrel Newbie

    Newcomer
    3
    3
    Jun 12, 2017
    Hi Lacius,

    Don't know whether they are Rev01 or not. It's been years since I played them, hence I also don't recall whether Mario Land asked me to update. It seems I'm still at 2.2 however, so it is what it is...

    — Posts automatically merged - Please don't double post! —

    — Posts automatically merged - Please don't double post! —

    Nice solution. :-) Unfortunately I don't have a DS so can't give this a go...

    — Posts automatically merged - Please don't double post! —

    @Quantumcat Sounds great, thanks. Will contact you directly once I figure out how to PM on this site...
     
  15. Bu2d85

    Bu2d85 GBAtemp Advanced Fan

    Member
    GBAtemp Patron
    Bu2d85 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    903
    237
    Nov 6, 2014
    United States
    You need to have 10 posts before you can pm. So.... post away, maybe there other things on this site that interest you.

    Unfortunately I'm 32 years old and I primarily use my phone for this site and 9gag.

    EDIT: And.... I'm drunk.
     
    Last edited by Bu2d85, Jun 12, 2017
    Zidapi likes this.
  16. Quantumcat

    Quantumcat Dead and alive

    Member
    10,431
    5,501
    Nov 23, 2014
    Australia
    Canberra, Australia
    Sent you a message!
     
  17. Squirrel
    OP

    Squirrel Newbie

    Newcomer
    3
    3
    Jun 12, 2017
    A short update:

    I've received the game from @Quantumcat mentioned above today and was able to smoothly update the 3DS firmware to version 4.3.0-0U. Many thanks @Quantumcat!

    Unfortunately I don't seem to be out of the woods yet. I've tried to MSET the 3DS but unfortunately the 3DS no longer recognises my R4 card. Since it doesn't recognise the R4 card anymore I'm not able to run the SafeB9SInstaller.nds game which would install Luma3DS. I'm also not able to use the browser hack since my 3DS still doesn't have a browser, despite the upgrade to 4.3.

    Formatting and reinstalling the kernel didn't helpA bit more research showed that I probably should have updated the R4's firmware (not kernel software, I already upgraded that) before updating the 3DS itself. I guess hindsight is always 20/20, but this clearly wasn't obvious to me before the update. I have the impression that my only option is to update the R4 card firmware through another older device (DS for example) after which I hopefully can use the updated R4 card to 'unlock' my own 3DS.

    Happy to hear suggestions if there are other options of course!

    Cheers
     
    KKCD, zoogie and Quantumcat like this.
  18. Quantumcat

    Quantumcat Dead and alive

    Member
    10,431
    5,501
    Nov 23, 2014
    Australia
    Canberra, Australia
    You could try visiting a Cash Converters with a 3DS charger cord and portable battery, and ask to have a go of any DSi they have for sale (my experience is their consoles always have dead batteries). If they don't have a DSi they may still have a DS that they'd be willing to charge behind the counter for you for a while so you can try it out (they did this for me when I was hunting for a 3.18 or below PS Vita). This way you can get the R4 updated. Good luck!!
     
  19. Lacius

    Lacius GBAtemp Guru

    Member
    5,864
    2,247
    May 11, 2008
    United States
    Worst case scenario, you buy a compatible DS flashcart for $10.
     
  20. Quantumcat

    Quantumcat Dead and alive

    Member
    10,431
    5,501
    Nov 23, 2014
    Australia
    Canberra, Australia
    True, also you wouldn't have to wait months for it to come from China since OzModChips operate out of Melbourne (though I don't think they have anything really cheap).